TODO List fore KDE Database Translation Search Engine

-Finish the port (use settings)            done
-Improve settings (filter output)        
-Database handling (and creation...)       Done
-output filters
-fix fix fix...

-delete item if putItem(nullitem)
-use matthias mask function for regexp
-remove bug of word split  F&ormat is F ormat  <- add remchar to charregexp


Major rewrite:
-New settings interface.
-addFunction from dbscan to database      Done ?
-Edit function
-database manager
-download compendium from the internet

Matthias ask:
- searching in translations, equivalent to searching in msgids    (SearchEngine::startTranslationSearch(QString s) )  
- the absolute path of the files and maybe the number of the entry in the file    ( maybe I will add this information to the TranslationInfo )  
- the possibility to get a list of all entries in a po file from the database. For this, I think, I will create a interface and send it to you. Maybe something like this: class TranslationDatabase {
public:     // name is something like "kbabel.po"     QList<CatalogItem> entriesOfFile(QString name); }


